Log4j Version 1.2.7: Class NullAppender

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.performance
Class NullAppender

    java.lang.Object
      |
      +--org.apache.log4j.AppenderSkeleton
            |
            +--org.apache.log4j.performance.NullAppender

All Implemented Interfaces:
  Appender, OptionHandler

public class NullAppender
extends AppenderSkeleton

A bogus appender which calls the format method of its layout object but does not write the result anywhere.

The `org.apache.log4j.performance.NullAppender` class is intended for internal use only. Consequently, it is not included in the log4j.jar file.

Field Summary
`static String` | `s`
`String` | `t`

Fields inherited from class org.apache.log4j.AppenderSkeleton
`closed, errorHandler, headFilter, layout, name, tailFilter, threshold`

Constructor Summary
`NullAppender()`
`NullAppender(Layout layout)`

Method Summary
`void` | `append(LoggingEvent event)` Subclasses of `AppenderSkeleton` should implement this method to perform actual logging.
`void` | `close()` Release any resources allocated within the appender such as file handles, network connections, etc.
`void` | `doAppend(LoggingEvent event)` This method performs threshold checks and invokes filters before delegating actual logging to the subclasses specific `AppenderSkeleton.append(org.apache.log4j.spi.LoggingEvent)` method.
`boolean` | `requiresLayout()` This is a bogus appender but it still uses a layout.

Methods inherited from class org.apache.log4j.AppenderSkeleton
`activateOptions, addFilter, clearFilters, finalize, getErrorHandler, getFilter, getFirstFilter, getLayout, getName, getThreshold, isAsSevereAsThreshold, setErrorHandler, setLayout, setName, setThreshold`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### s

    public static String s

### t

    public String t

Constructor Detail

### NullAppender

    public NullAppender()

### NullAppender

    public NullAppender(Layout layout)

Method Detail

### close

    public void close()

  Description copied from interface: `Appender`
  Release any resources allocated within the appender such as file handles, network connections, etc.

  It is a programming error to append to a closed appender.

### doAppend

    public void doAppend(LoggingEvent event)

  Description copied from class: `AppenderSkeleton`
  This method performs threshold checks and invokes filters before delegating actual logging to the subclasses specific `AppenderSkeleton.append(org.apache.log4j.spi.LoggingEvent)` method.
  Overrides:
    `doAppend` in class `AppenderSkeleton`

### append

    public void append(LoggingEvent event)

  Description copied from class: `AppenderSkeleton`
  Subclasses of `AppenderSkeleton` should implement this method to perform actual logging. See also `AppenderSkeleton.doAppend` method.
  Overrides:
    `append` in class `AppenderSkeleton`

### requiresLayout

    public boolean requiresLayout()

  This is a bogus appender but it still uses a layout.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2000-2002 Apache Software Foundation.